#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	graphene
Version		:	1.10.8
Release		:	17.0.10.rel%{?dist}
Summary		:	GTK graphical user interface library


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://download.gnome.org/sources/gtk/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib
BuildRequires	:	gobject-introspection

#-----------------------------------------------------------------------------
%description
Graphene provides a small set of mathematical types
needed to implement graphic libraries that deal with
2D and 3D transformations and projections.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE.txt
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/lib%{name}-1.0.so.*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0/*.h
%{_libdir}/%{name}-1.0/include/%{name}-config.h
%{_libdir}/lib%{name}-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/pkgconfig/%{name}-gobject-1.0.pc
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gtk-doc/html/%{name}/*.html
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gir-1.0/Graphene-1.0.gir

#=============================================================================
%package		tests
Summary		:	Tests for the %{name} package
	
#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		tests
The %{name}-tests package contains tests
that can be used to verify the functionality
of the installed %{name} package.

#-----------------------------------------------------------------------------
%files			tests
%defattr(-,root,root,-)
%{_libexecdir}/%{name}/installed-tests/%{name}-1.0/*
%{_datadir}/installed-tests/%{name}-1.0/*.test

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release 				\
	-D gtk_doc=true					\
	build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	%{_smp_mflags}					\
	-C build					\
	-v						\
	-k1						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C build				\
		install

#-----------------------------------------------------------------------------
%changelog
